Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.query
Class QueryExp

    java.lang.Object
      |
      +--com.sun.wbem.query.QueryExp

Direct Known Subclasses:
  AndQueryExp, BinaryRelQueryExp, NotQueryExp, OrQueryExp

public abstract class QueryExp
extends java.lang.Object
implements java.io.Serializable

The QueryExp class is an abstract class whose subclasses represent conditional expressions which return a boolean value when a particular 'row' is applied to them.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Constructor Summary
`QueryExp()` Constructor.

Method Summary
`boolean` | `apply(CIMElement obj)` When a 'row' is applied to this method it returns true or false depending on whether the row meets the conditions or not.
`java.util.List` | `canonizeCOD()` Canonize the expression into a Conjunction of Disjunctions form.
`java.util.List` | `canonizeDOC()` Canonize the expression into a Disjunction of Conjunctions form.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryExp

    public QueryExp()

  Constructor.

Method Detail

### apply

    public boolean apply(CIMElement obj)
                  throws CIMException

  When a 'row' is applied to this method it returns true or false depending on whether the row meets the conditions or not.
  Parameters:
    `obj` - The 'row' which is being applied. The row in the case of WQL can be any CIMElement. Currently the only valid CIMElement is CIMInstance.
  Returns:
    boolean true if the 'row' meets the conditions, 'false' otherwise In the case of QueryExp it is always true.
  See Also:
    `CIMInstance`

### canonizeDOC

    public java.util.List canonizeDOC()

  Canonize the expression into a Disjunction of Conjunctions form. (OR of ANDed comparison expressions). This enables handling of the expression as a List of Lists rather than a tree form, enabling ease of evaluation.
  Returns:
    a List of Lists. The sub-lists each contain comparison expressions (presently BinaryRelQueryExp) and represent the logical AND of these expressions. The parent List represents the logical OR of each of its sub-lists.

### canonizeCOD

    public java.util.List canonizeCOD()

  Canonize the expression into a Conjunction of Disjunctions form. (AND of ORed comparison expressions). This enables handling of the expression as a List of Lists rather than a tree form, enabling ease of evaluation.
  Returns:
    a List of Lists. The sub-lists each contain comparison expressions (presently BinaryRelQueryExp) and represent the logical OR of these expressions. The parent List represents the logical AND of each of its sub-lists.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD